package com.dxhy.common.enums;

/**
 * 认证方式
 * 
 * @author kangzq
 * @date 2019年5月16日
 */
public enum RzfsEnum {
    /**
     * 勾选认证
     */
    GXRZ("1", 1),

    /**
     * 扫描认真
     */
    SMRZ("2", 2);

    private static final String[] RZFSMC = {"手工认证", "导入认证"};

    private String rzfsDm;
    private int index;

    RzfsEnum(String rzfsDm, int index) {
        this.rzfsDm = rzfsDm;
        this.index = index;
    }

    public String getRzfsDm(int index) {
        for (RzfsEnum en : RzfsEnum.values()) {
            if (en.getIndex() == index) {
                return en.rzfsDm;
            }
        }
        return null;
    }

    public String getRzfsMc(int index) {
        int length = RZFSMC.length;
        if (index <= length) {
            return RZFSMC[index - 1];
        }
        return null;
    }

    public String getRzfsDm() {
        return rzfsDm;
    }

    public void setRzfsDm(String rzfsDm) {
        this.rzfsDm = rzfsDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
